function loadClouds()
	minCloudGenerationTime = 0.2
	maxCloudGenerationTime = 3
	cloudTimer = math.random(minCloudGenerationTime, maxCloudGenerationTime)

	cloudImages = {
		love.graphics.newImage('cloud1.png'),
		love.graphics.newImage('cloud2.png'),
		love.graphics.newImage('cloud3.png')
	}

	clouds = {}
end

function cloudGenerator()
	local cloud = {
		x = SCREEN_WIDTH,
		y = math.random(-10, 500),
		speed = math.random(75, 125),
		image = cloudImages[math.random(1, #cloudImages)]
	}

	return cloud
end

function updateClouds(dt)
	for _, cloud in ipairs(clouds) do
		cloud.x = cloud.x - cloud.speed * dt
	end

	cloudTimer = cloudTimer - dt	

	if cloudTimer <= 0 then
		table.insert(clouds, cloudGenerator())
		cloudTimer = math.random(minCloudGenerationTime, maxCloudGenerationTime)
	end

	for i = #clouds, 1, -1 do
		if clouds[i].x + clouds[i].image:getWidth() <= 0 then
			table.remove(clouds, i)
		end
	end
end

function drawClouds()
	love.graphics.print('Clouds: ' .. #clouds, 10, 10)
	for _, cloud in ipairs(clouds) do
		love.graphics.draw(cloud.image, cloud.x, cloud.y)
	end
end

